require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe
module UU

  # Module Finman
  module Finman

    # Module of finman Fast Payment
    module FinancialTransaction

      # DTO for set state command of financial transaction
      class FinancialTransactionSetState < UU::OS::REST::DTO

        # Type of advanced state
        # Required attribute. Cannot be null.
        # @param [String, FinancialTransactionState]
        # @return [String]
        attr_accessor :financial_transaction_state


        def financial_transaction_state
          attributes[:financialTransactionState]
        end

        def financial_transaction_state=(val)
          attributes[:financialTransactionState] = val
        end

      end
    end
  end
end

